## lm-sensors 3.3.5

=== debian/changelog ===
lm-sensors (1:3.3.5-2) unstable; urgency=medium

  * debian/lm-sensors.preinst: remove and rely now on lm-sensors.maintscript
    to manage obsolete conffiles (closes: #567183).
  * debian/sensord.maintscript: add /etc/logcheck/ignore.d.server/sensord
    (closes: #747379).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 08 May 2014 14:48:32 +0200

lm-sensors (1:3.3.5-1) unstable; urgency=medium

  * New upstream version:
    - drop 01-sensors-conf-convert-manpage.patch (merged upstream).
    - refresh other patches.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Apr 2014 19:41:14 +0200

lm-sensors (1:3.3.4-3) unstable; urgency=medium

  * lm-sensors.service: allow calls to sensors to fail, in case no
    sensors are available.
  * Bumped Standards-version to 3.9.5 (no changes).
  * Don't force xz compression when generating .deb now that it is the
    default.
  * Don't pass start and stop actions to dh_installinit. The LSB headers
    of the init scripts already contain all necesssary information
    (closes: #722074).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2014 20:06:52 +0200

=== debian/control ===
Source: lm-sensors
Section: utils
Priority: extra
Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev, dh-systemd (>= 1.3)
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.5
Homepage: http://www.lm-sensors.org

Package: lm-sensors
Architecture: any
Section: utils
Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Suggests: fancontrol, sensord, read-edid, i2c-tools
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains programs to help you set up and read data from
 lm-sensors.

Package: libsensors4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Suggests: lm-sensors
Section: libs
Description: library to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a shared library for querying lm-sensors.

Package: libsensors4-dev
Architecture: any
Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
Section: libdevel
Description: lm-sensors development kit
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains the static library and header files used in
 development.

Package: fancontrol
Architecture: all
Section: utils
Depends: lsb-base (>= 3.2-13), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6)
Replaces: lm-sensors (<< 1:3.1.1-6)
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that calculates fan speeds from temperatures
 and sets the corresponding PWM outputs to the computed values.

Package: sensord
Architecture: any
Section: utils
Depends: lm-sensors, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests: rrdtool
Description: hardware sensor information logging daemon
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that logs hardware health status to the
 system log with optional warnings on potential system problems.

=== debian/rules ===
#!/usr/bin/make -f
# This is fairly complicated since it can be called either to build the
# source package, or to build a kernel module package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# support parallel build using DEB_BUILD_OPTIONS=parallel=N
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean PROG_EXTRA=sensord
	
	rm -f *-stamp
	dh_clean 

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	# binary programs and librairies
	$(MAKE) user \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		MANDIR=/usr/share/man \
		PROG_EXTRA=sensord \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		EXLDFLAGS="$(LDFLAGS)"


	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir 
	touch $@

install: install-stamp
install-stamp: build
	dh_testdir 
	dh_testroot 
	dh_clean -s -k 
	dh_installdirs -s

	$(MAKE) user_install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		MANDIR=/usr/share/man \
		PROG_EXTRA=sensord \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		EXLDFLAGS="$(LDFLAGS)"

	# Make sure /etc/sensors.d/ is not removed
	touch debian/tmp/etc/sensors.d/.placeholder

	# Install isadump only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isadump ] ; then \
	        cp -f prog/dump/isadump debian/lm-sensors/usr/sbin ; \
		mkdir -p debian/lm-sensors/usr/share/man/man8 ; \
	        cp -f prog/dump/isadump.8 debian/lm-sensors/usr/share/man/man8 ; \
	fi
	# Install isaset only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isaset ] ; then \
	        cp -f prog/dump/isaset debian/lm-sensors/usr/sbin ; \
		mkdir -p debian/lm-sensors/usr/share/man/man8 ; \
	        cp -f prog/dump/isaset.8 debian/lm-sensors/usr/share/man/man8 ; \
	fi

	dh_install --sourcedir=debian/tmp

	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i -XCVS
	dh_systemd_enable -pfancontrol
	dh_installinit -pfancontrol --restart-after-upgrade
	dh_systemd_start -pfancontrol
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -s CHANGES
	dh_installdocs -s -XCVS
	dh_installexamples -s -XCVS -XModule.mk
	dh_systemd_enable -plm-sensors
	dh_systemd_start -plm-sensors
	dh_installinit -plm-sensors --no-start
	dh_installinit -psensord
	dh_installlogcheck -s
	dh_installman -s
	dh_link -s
	dh_strip -s
	dh_compress -s -X.pl
	dh_fixperms -s
	dh_perl -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: clean build install binary-indep binary-arch binary

## lm-sensors 3.4.0

=== debian/changelog ===
lm-sensors (1:3.4.0-4ubuntu0.1) bionic; urgency=medium

  * d/fancontrol-systemd-sleep, d/rules: Restart fancontrol.service
    after power sleep if it is active (LP: #1882272)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 31 Mar 2022 17:53:20 -0300

lm-sensors (1:3.4.0-4) unstable; urgency=medium

  * Drop the sensord package, it is not really maintained upstream, and
    the RRD part has some issues (closes: #244037, #469096, #790796).
    - Stop building it.
    - Remove corresponding patches.
    - Remove corresponding debhelper files.
    - Drop the build-depends on librrd-dev.
  * Fix udevadm path in sensors-detect (closes: #852558).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 05 Apr 2017 20:07:33 +0000

lm-sensors (1:3.4.0-3) unstable; urgency=medium

  * Switch lm-sensors and sensord packages to architecture linux-any. Add a
    note that libsensors4 and libsensors4-dev will only find sensors with a
    Linux kernel, but keep them for portability on other systems (closes:
    #570429).
  * debian/lm-sensors.init: fix LSB init output, thanks to Guillem Jover for
    the patch (closes: #823078).
  * debian/patches/15-path-max.patch: new patch to define PATH_MAX on GNU
    Hurd, thanks to Christoph Berg for the patch (closes: #824005).
  * Bumped Standards-version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 May 2016 21:24:51 +0200

lm-sensors (1:3.4.0-2) unstable; urgency=medium

  * Build-depends on librrd-dev instead of librrd2-dev as the Provides
    has been removed without warnings.
  * Rewrite debian/rules usind dh.
  * Update 05-sensord-manpage.patch with the new Apache 2.4 default document
    root. Thanks to Jean-Michel Vourgère for the patch (closes: #753394).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Sep 2015 20:51:21 +0200

lm-sensors (1:3.4.0-1) unstable; urgency=medium

  * New upstream version:
    - Fixes fancontrol when FCFANS is not set (closes: #727731).
  * debian/sensord.maintscript: fix version (closes: #747379, #756474).
  * Improve fancontrol description.
  * Mention sensors-detect(8) in sensors(1) (closes: #766775).
  * Bumped Standards-version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Aug 2015 18:03:52 +0200

=== debian/control ===
Source: lm-sensors
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9), bison, flex, dh-systemd (>= 1.3)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.8
Homepage: http://www.lm-sensors.org

Package: lm-sensors
Architecture: linux-any
Section: utils
Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Suggests: fancontrol, read-edid, i2c-tools
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains programs to help you set up and read data from
 lm-sensors.

Package: libsensors4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Suggests: lm-sensors
Section: libs
Description: library to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This library is only functional with a Linux kernel, it is provided on
 non-Linux systems for portability reasons only.
 .
 This package contains a shared library for querying lm-sensors.

Package: libsensors4-dev
Architecture: any
Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
Section: libdevel
Description: lm-sensors development kit
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This library is only functional with a Linux kernel, it is provided on
 non-Linux systems for portability reasons only.
 .
 This package contains the static library and header files used in
 development.

Package: fancontrol
Architecture: all
Section: utils
Depends: lsb-base (>= 3.2-13), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6)
Replaces: lm-sensors (<< 1:3.1.1-6)
Description: utility to control the fan speed
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that calculates fan speeds from temperatures
 and sets the corresponding PWM outputs to the computed values. This is
 useful when this feature is not provided by the BIOS or ACPI, which should
 normally be the case on a laptop.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with systemd

MAKEARGS_INDP = DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		MANDIR=/usr/share/man
MAKEARGS_ARCH = $(MAKEARGS_INDP) \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		EXLDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEARGS_ARCH)


#
# Architecture independent targets
#
override_dh_auto_build-indep:

override_dh_auto_install-indep:
	$(MAKE) install-prog-pwm $(MAKEARGS_INDP)
	mkdir -p $(CURDIR)/debian/fancontrol/lib/systemd/system-sleep/
	install -m 755 $(CURDIR)/debian/fancontrol-systemd-sleep $(CURDIR)/debian/fancontrol/lib/systemd/system-sleep/fancontrol

override_dh_installinit-indep:
	dh_installinit -pfancontrol --restart-after-upgrade


#
# Architecture targets
#
override_dh_auto_build-arch:
	dh_auto_build -- $(MAKEARGS_ARCH)

override_dh_auto_install-arch:
	dh_auto_install -- $(MAKEARGS_ARCH)

	# Make sure /etc/sensors.d/ is not removed
	touch $(CURDIR)/debian/tmp/etc/sensors.d/.placeholder

	# Install isadump only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isadump ] ; then \
		cp -f prog/dump/isadump $(CURDIR)/debian/lm-sensors/usr/sbin ; \
		mkdir -p $(CURDIR)/debian/lm-sensors/usr/share/man/man8 ; \
		cp -f prog/dump/isadump.8 $(CURDIR)/debian/lm-sensors/usr/share/man/man8 ; \
	fi
	# Install isaset only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isaset ] ; then \
		cp -f prog/dump/isaset $(CURDIR)/debian/lm-sensors/usr/sbin ; \
		mkdir -p $(CURDIR)/debian/lm-sensors/usr/share/man/man8 ; \
		cp -f prog/dump/isaset.8 $(CURDIR)/debian/lm-sensors/usr/share/man/man8 ; \
	fi

override_dh_installinit-arch:
	dh_installinit -plm-sensors --no-start

=== debian/watch ===
version=3
http://www.lm-sensors.org/wiki/Download .*/lm_sensors-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## lm-sensors 3.5.0

=== debian/changelog ===
lm-sensors (1:3.5.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Dec 2018 16:58:53 +0100

lm-sensors (1:3.5.0-2) experimental; urgency=medium

  * libsensors-config: add a Breaks: libsensors4. This will make the
    transition more painful but is needed to move the configuration file from
    one package to another (closes: #915873).
  * debian/rules: fix FTCBFS by passing MACHINE to make. Thanks to Helmut
    Grohne for the patch (closes: #915819).
  * debian/rules: force the installation of /etc/sensors3.conf in the
    architecture independent target (closes: #915810).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 Dec 2018 19:51:55 +0100

lm-sensors (1:3.5.0-1) experimental; urgency=medium

  * New upstream version:
    - sensors-detect now point to an existing web page (closes: #813137).
    - Refresh 01-sensors-detect-udevadm.patch.
    - Refresh 06-sensors-detect-debian.patch.
    - Drop 07-sensors3.conf-local-changes.patch (obsolete).
    - Drop 12-sensors-detect-superio-x86.patch upstreamed).
    - Drop 13-sensors-manpage.patch (upstreamed).
    - Rename libsensors4 package into libsensors5.
  * Add a libsensors-config package and move the configuration files there.
  * Update debian/control, debian/copyright and debian/watch to reflect
    the new home page (closes: #882770).
  * Update debian/copyright to reflect that the library is now released under
    LGPL version 2.1 or later (closes: #912409).
  * Bump debhelper compat version to 10.
  * Downgrade priority from extra to optional.
  * Drop ancient conflicts/replaces.
  * Set Rules-Requires-Root: no.
  * Add "Provides: libsensors-dev" to libsensors4-dev to be able to
    transition to a version-less -dev package.
  * Bumped Standards-version to 4.2.1.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Dec 2018 21:14:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lm-sensors
 Section: utils
-Priority: extra
-Build-Depends: debhelper (>= 9), bison, flex, dh-systemd (>= 1.3)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.8
-Homepage: http://www.lm-sensors.org
+Priority: optional
+Build-Depends: debhelper (>= 10), bison, flex
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
+Maintainer: Aurelien Jarno <aurel32@debian.org>
+Homepage: https://hwmon.wiki.kernel.org/lm_sensors
 
 Package: lm-sensors
 Architecture: linux-any
@@ -20,11 +20,30 @@
  This package contains programs to help you set up and read data from
  lm-sensors.
 
-Package: libsensors4
+Package: libsensors-config
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Priority: optional
+Breaks: libsensors4
+Replaces: libsensors4
+Suggests: lm-sensors
+Description: lm-sensors configuration files
+ Lm-sensors is a hardware health monitoring package for Linux. It allows you
+ to access information from temperature, voltage, and fan speed sensors. It
+ works with most newer systems.
+ .
+ This library is only functional with a Linux kernel, it is provided on
+ non-Linux systems for portability reasons only.
+ .
+ This package contains the configuration files.
+
+Package: libsensors5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libsensors-config, ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Suggests: lm-sensors
 Section: libs
@@ -40,8 +59,9 @@
 
 Package: libsensors4-dev
 Architecture: any
-Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
-Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
+Multi-Arch: same
+Depends: libsensors5 (= ${binary:Version}), ${misc:Depends}
+Provides: libsensors-dev
 Section: libdevel
 Description: lm-sensors development kit
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -58,8 +78,6 @@
 Architecture: all
 Section: utils
 Depends: lsb-base (>= 3.2-13), ${misc:Depends}
-Conflicts: lm-sensors (<< 1:3.1.1-6)
-Replaces: lm-sensors (<< 1:3.1.1-6)
 Description: utility to control the fan speed
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
  to access information from temperature, voltage, and fan speed sensors. It

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+
 %:
-	dh $@ --parallel --with systemd
+	dh $@ --with systemd
 
 MAKEARGS_INDP = DESTDIR=$(CURDIR)/debian/tmp \
 		PREFIX=/usr \
 		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		MANDIR=/usr/share/man
 MAKEARGS_ARCH = $(MAKEARGS_INDP) \
+		MACHINE=$(DEB_HOST_GNU_CPU) \
 		CFLAGS="$(CFLAGS)" \
 		CPPFLAGS="$(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" \
@@ -23,9 +26,10 @@
 override_dh_auto_build-indep:
 
 override_dh_auto_install-indep:
-	$(MAKE) install-prog-pwm $(MAKEARGS_INDP)
-	mkdir -p $(CURDIR)/debian/fancontrol/lib/systemd/system-sleep/
-	install -m 755 $(CURDIR)/debian/fancontrol-systemd-sleep $(CURDIR)/debian/fancontrol/lib/systemd/system-sleep/fancontrol
+	$(MAKE) install-etc install-prog-pwm $(MAKEARGS_INDP)
+
+	# Make sure /etc/sensors.d/ is not removed
+	touch $(CURDIR)/debian/tmp/etc/sensors.d/.placeholder
 
 override_dh_installinit-indep:
 	dh_installinit -pfancontrol --restart-after-upgrade
@@ -39,9 +43,6 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install -- $(MAKEARGS_ARCH)
-
-	# Make sure /etc/sensors.d/ is not removed
-	touch $(CURDIR)/debian/tmp/etc/sensors.d/.placeholder
 
 	# Install isadump only if it has been built (on x86/x86_64 archs only)
 	if [ -x prog/dump/isadump ] ; then \

## lm-sensors 3.6.0

=== Makefile ===
#  Makefile - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301 USA.

# Everything you may want to change is in the top of this file. Usually, you
# can just use the defaults, fortunately.

# You need a full complement of GNU utilities to run this Makefile
# successfully; most notably, you need GNU make, flex (>= 2.5.1)
# and bison.

# Uncomment the second line if you are a developer. This will enable many
# additional warnings at compile-time
#WARN := 0
WARN := 1

# Uncomment the second line if you want to get (loads of) debug information
# at run-time.
# Not recommended, unless you are actually debugging the code
DEBUG := 0
#DEBUG := 1

# Note that all the installation paths below can also be set on the make
# command line (e.g. "make PREFIX=/usr").

# If you want to install at some other place then at from which you will run
# everything, set DESTDIR to the extra prefix.
DESTDIR :=

# This is the prefix that will be used for almost all directories below.
PREFIX := /usr/local

# Your C compiler
CC := gcc

# This is the directory where sensors3.conf will be installed, if no other
# configuration file is found
ETCDIR := /etc

# You should not need to change this. It is the directory into which the
# library files (both static and shared) will be installed.
LIBDIR := $(PREFIX)/lib

EXLDFLAGS := -Wl,-rpath,$(LIBDIR)

# You should not need to change this. It is the directory into which the
# executable program files will be installed. BINDIR for programs that are
# also useful for normal users, SBINDIR for programs that can only be run
# by the superuser.
# Note that not all programs in this package are really installed;
# some are just examples. You can always install them by hand, of
# course.
BINDIR := $(PREFIX)/bin
SBINDIR := $(PREFIX)/sbin

# You should not need to change this. It is the basic directory into which
# include files will be installed. The actual directory will be 
# $(INCLUDEDIR)/sensors for library include files.
INCLUDEDIR := $(PREFIX)/include
LIBINCLUDEDIR := $(INCLUDEDIR)/sensors

# You should not need to change this. It is the base directory under which the
# manual pages will be installed.
MANDIR := $(PREFIX)/man

ARCH := $(firstword $(subst -, ,$(shell $(CC) -dumpmachine)))

# Extra non-default programs to build; e.g., sensord
#PROG_EXTRA := sensord

# Build and install static library
BUILD_STATIC_LIB := 1

# Set these to add preprocessor or compiler flags, or use
# environment variables
# CFLAGS :=
# CPPFLAGS :=

##################################################
# Below this, nothing should need to be changed. #
##################################################

# Note that this is a monolithic Makefile; it calls no sub-Makefiles,
# but instead, it compiles everything right from here. Yes, there are
# some distinct advantages to this; see the following paper for more info:
#   http://www.tip.net.au/~millerp/rmch/recu-make-cons-harm.html
# Note that is still uses Makefile fragments in sub-directories; these
# are called 'Module.mk'.

# Within each Module.mk, rules and dependencies can be added to targets
# all, install and clean. Use double colons instead of single ones
# to do this. 

# The subdirectories we need to build things in 
SRCDIRS := lib prog/detect prog/pwm \
           prog/sensors ${PROG_EXTRA:%=prog/%} etc
# Only build isadump and isaset on x86 machines.
ifneq (,$(findstring $(ARCH), i386 i486 i586 i686 x86_64))
SRCDIRS += prog/dump
endif
SRCDIRS += lib/test

# Some often-used commands with default options
MKDIR := mkdir -p
RMDIR := rmdir
RM := rm -f
MV := mv -f
BISON := bison
FLEX := flex
AR := ar
INSTALL := install
LN := ln -sf
GREP := grep
AWK := awk
SED := sed

# Determine the default compiler flags
# Set CFLAGS or CPPFLAGS above to add your own flags to all.
# ALLCPPFLAGS/ALLCFLAGS are common flags, plus any user-specified overrides from the environment or make command line.
# PROGCPPFLAGS/PROGCFLAGS is to create regular object files (which are linked into executables).
# ARCPPFLAGS/ARCFLAGS are used to create archive object files (static libraries).
# LIBCPPFLAGS/LIBCFLAGS are for shared library objects.
ALL_CPPFLAGS := -I.
ALL_CFLAGS := -Wall

ifeq ($(DEBUG),1)
ALL_CPPFLAGS += -DDEBUG
ALL_CFLAGS += -O -g
else
ALL_CFLAGS += -O2
endif

ifeq ($(WARN),1)
ALL_CFLAGS += -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
            -Wcast-align -Wwrite-strings -Wnested-externs -Winline -W \
            -Wmissing-prototypes -Wundef
endif

ALL_CPPFLAGS += $(CPPFLAGS)
ALL_CFLAGS += $(CFLAGS)

PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
PROGCFLAGS := $(ALL_CFLAGS)
ARCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
ARCFLAGS := $(ALL_CFLAGS)
LIBCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
LIBCFLAGS := -fpic -D_REENTRANT $(ALL_CFLAGS)

.PHONY: all user clean install user_install uninstall user_uninstall

# Make all the default rule
all::

# Include all makefiles for sub-modules
INCLUDEFILES := 
include $(patsubst %,%/Module.mk,$(SRCDIRS))
ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),uninstall)
ifneq ($(MAKECMDGOALS),user_uninstall)
ifneq ($(MAKECMDGOALS),help)
include $(INCLUDEFILES)
endif
endif
endif
endif

# Man pages
MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
            $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8

user ::
user_install::
	@echo "*** Important notes:"
	@echo "***  * The libsensors configuration file ($(ETCDIR)/sensors3.conf) is never"
	@echo "***    overwritten by our installation process, so that you won't lose"
	@echo "***    your personal settings in that file. You still can get our latest"
	@echo "***    default config file in etc/sensors.conf.default and manually copy"
	@echo "***    it to $(ETCDIR)/sensors3.conf if you want. You will then want to"
	@echo "***    edit it to fit your needs again."
	@echo "***  * The format of $(ETCDIR)/sensors3.conf changed with lm-sensors 3.0.0."
	@echo "***    If you have a custom configuration file using the old format, you"
	@echo "***    can convert it using the sensors-conf-convert script. Otherwise just"
	@echo "***    overwrite your old configuration file with the new default one."
	@echo "***  * As of lm-sensors 3.1.0, the default configuration file only"
	@echo "***    contains statements which do not depend on how chips are wired."
	@echo "***    If you miss parts of the bigger configuration file that used to be"
	@echo "***    the default, copy the relevant parts from etc/sensors.conf.eg to"
	@echo "***    $(ETCDIR)/sensors3.conf."
all :: user
install :: all user_install

clean::
	$(RM) lm_sensors-* lex.backup

user_uninstall::

uninstall :: user_uninstall

help:
	@echo 'Make targets are:'
	@echo '  all (default): build library and userspace programs'
	@echo '  install: install library and userspace programs'
	@echo '  uninstall: uninstall library and userspace programs'
	@echo '  clean: cleanup'

# Generate html man pages to be copied to the lm_sensors website.
# This uses the man2html from here
# http://ftp.math.utah.edu/pub/sgml/
# which works directly from the nroff source
manhtml:
	$(MKDIR) html
	cp $(MANPAGES) html
	cd html ; \
	export LOGNAME=sensors ; \
	export HOSTNAME=hwmon.wiki.kernel.org ; \
	man2html *.[1-8] ; \
	$(RM) *.[1-8]

# Here, we define all implicit rules we want to use.

.SUFFIXES:

# We need to create dependency files. Tricky. The sed rule puts dir/file.d and
# dir/file.c in front of the dependency file rule.


# .ro files are used for programs (as opposed to modules)
%.ro: %.c
	$(CC) $(PROGCPPFLAGS) $(PROGCFLAGS) -c $< -o $@

%.rd: %.c
	$(CC) -M -MG $(PROGCPPFLAGS) $(PROGCFLAGS) $< | \
	$(SED) -e 's@^\(.*\)\.o:@$*.rd $*.ro: Makefile '`dirname $*.rd`/Module.mk' @' > $@


# .ao files are used for static archives
%.ao: %.c
	$(CC) $(ARCPPFLAGS) $(ARCFLAGS) -c $< -o $@

%.ad: %.c
	$(CC) -M -MG $(ARCPPFLAGS) $(ARCFLAGS) $< | \
	$(SED) -e 's@^\(.*\)\.o:@$*.ad $*.ao: Makefile '`dirname $*.ad`/Module.mk' @' > $@


# .lo files are used for shared libraries
%.lo: %.c
	$(CC) $(LIBCPPFLAGS) $(LIBCFLAGS) -c $< -o $@

%.ld: %.c
	$(CC) -M -MG $(LIBCPPFLAGS) $(LIBCFLAGS) $< | \
	$(SED) -e 's@^\(.*\)\.o:@$*.ld $*.lo: Makefile '`dirname $*.ld`/Module.mk' @' > $@


# Flex and Bison
%.c: %.y
	@if ! which $(BISON) 2> /dev/null ; then \
		echo "Please install $(BISON), then run \"make clean\" and try again" ; \
		false ; \
	fi
	$(BISON) -p sensors_yy -d $< -o $@

ifeq ($(DEBUG),1)
FLEX_FLAGS := -Psensors_yy -t -b -Cfe -8
else
FLEX_FLAGS := -Psensors_yy -t -Cfe -8
endif

%.c: %.l
	@if ! which $(FLEX) 2> /dev/null ; then \
		echo "Please install $(FLEX), then run \"make clean\" and try again" ; \
		false ; \
	fi
	$(FLEX) $(FLEX_FLAGS) $< > $@

=== debian/changelog ===
lm-sensors (1:3.6.0-10) unstable; urgency=medium

  [ Bjarni Ingi Gislason ]
  * sensors.conf.5: editorial fixes.  Closes: #1051093.

  [ Aurelien Jarno ]
  * lm-sensors: override dh_perl to pass -d.  Closes: #1071971.
  * lm-sensors: drop depends on sed.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jun 2024 20:55:06 +0000

lm-sensors (1:3.6.0-9) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use systemd.pc to place systemd sleep files.  Closes: #1059405.

  [ Bjarni Ingi Gislason ]
  * isadump.8: editorial fixes.  Closes: #1051114.
  * isaset.8: editorial fixes.  Closes: #1051115.
  * sensors.1: editorial fixes.  Closes: #1050985.
  * sensors-conf-convert.8: editorial fixes.  Closes: #1051117.
  * sensors-detect.8: editorial fixes.  Closes: #1051123..

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 26 Feb 2024 21:55:26 +0100

lm-sensors (1:3.6.0-8) unstable; urgency=medium

  * Drop versioned depends on obsolete lsb-base package.
  * Drop versioned depends on sed, satisfied since at least etch.
  * Drop libsensors4-dev transitional package.  Closes: #1038278. 
  * Restart fancontrol on resume only if enabled. Thanks to Andreas Hasenack
    for the patch.  Closes: #1008975.
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Aug 2023 21:39:18 +0200

lm-sensors (1:3.6.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:16:36 +0200

lm-sensors (1:3.6.0-7) unstable; urgency=medium

  * Switch libsensors4-dev to architecture: any.  Closes: #981274.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Jan 2021 07:05:25 +0100

lm-sensors (1:3.6.0-6) unstable; urgency=medium

  * Restart fancontrol.service after power sleep.  Closes: #664141.
  * Call dh_missing with --list-missing on non-Linux.  Closes: #980944.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Jan 2021 01:03:48 +0100

lm-sensors (1:3.6.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Jan 2021 11:54:36 +0100

lm-sensors (1:3.6.0-4) experimental; urgency=medium

  * Upload to experimental.
  * Rename libsensors4-dev into libsensors-dev and replace libsensors4-dev by
    a transitional package for a smooth transition. The transitional package
    will be removed in bookworm.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Jan 2021 18:42:27 +0100

lm-sensors (1:3.6.0-3) unstable; urgency=medium

  * Bump debhelper compatibility to 13.
  * Bump Standards-Version to 4.5.1 (no changes).
  * Update fancontrol.service to use the /run directory instead of /var/run.
    Closes: #973521.
  * Ensure the process has stopped before returning in fancontrol initscript.
    Closes: #830847.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Jan 2021 17:58:28 +0100

lm-sensors (1:3.6.0-2) unstable; urgency=medium

  * Replace MACHINE by ARCH in debian/rules. Thanks to Lucas Kanashiro for the
    notice.  Closes: #944195.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Nov 2019 20:57:53 +0100

lm-sensors (1:3.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper compatibility to 12.
  * Bump Standards-Version to 4.4.1 (no changes).
  * Fix debian/copyright to not refer to the versionless symlink GPL and
    LGPL licenses.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Oct 2019 10:16:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: lm-sensors
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10), bison, flex
+Build-Depends: debhelper-compat (= 13), bison, flex, pkgconf, systemd-dev
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Homepage: https://hwmon.wiki.kernel.org/lm_sensors
 
 Package: lm-sensors
 Architecture: linux-any
 Section: utils
-Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
 Suggests: fancontrol, read-edid, i2c-tools
 Description: utilities to read temperature/voltage/fan sensors
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -57,11 +57,13 @@
  .
  This package contains a shared library for querying lm-sensors.
 
-Package: libsensors4-dev
+Package: libsensors-dev
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libsensors5 (= ${binary:Version}), ${misc:Depends}
-Provides: libsensors-dev
+Breaks: libsensors4-dev (<< 1:3.6.0-4)
+Replaces: libsensors4-dev (<< 1:3.6.0-4)
 Section: libdevel
 Description: lm-sensors development kit
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -77,7 +79,8 @@
 Package: fancontrol
 Architecture: all
 Section: utils
-Depends: lsb-base (>= 3.2-13), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
 Description: utility to control the fan speed
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
  to access information from temperature, voltage, and fan speed sensors. It

=== debian/rules ===
#!/usr/bin/make -f

export deb_systemdsleepdir = $(shell pkg-config --variable=systemdsleepdir systemd)

%:
	dh $@

MAKEARGS_INDP = DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		MANDIR=/usr/share/man
MAKEARGS_ARCH = $(MAKEARGS_INDP) \
		ARCH=$(DEB_HOST_GNU_CPU) \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		EXLDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEARGS_ARCH)

# Ignore missing files on non-Linux. This package is Linux specific, and
# is just minimally built on other OS to simplify porters work.
ifneq ($(DEB_HOST_ARCH_OS),linux)
override_dh_missing:
	dh_missing --list-missing
endif

# Sensors-detect works fine with perl-base
override_dh_perl:
	dh_perl -d

#
# Architecture independent targets
#
override_dh_auto_build-indep:

override_dh_auto_install-indep:
	$(MAKE) install-etc install-prog-pwm $(MAKEARGS_INDP)
	install -m 755 -D $(CURDIR)/debian/fancontrol-systemd-sleep $(CURDIR)/debian/fancontrol$(deb_systemdsleepdir)/fancontrol

	# Make sure /etc/sensors.d/ is not removed
	touch $(CURDIR)/debian/tmp/etc/sensors.d/.placeholder

override_dh_installinit-indep:
	dh_installinit -pfancontrol --restart-after-upgrade

override_dh_installsystemd-indep:
	dh_installsystemd -pfancontrol --restart-after-upgrade


#
# Architecture targets
#
override_dh_auto_build-arch:
	dh_auto_build -- $(MAKEARGS_ARCH)

override_dh_auto_install-arch:
	dh_auto_install -- $(MAKEARGS_ARCH)

	# Install isadump only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isadump ] ; then \
		dh_install -plm-sensors usr/sbin/isadump ; \
		dh_install -plm-sensors usr/share/man/man8/isadump.8 ; \
	fi
	# Install isaset only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isaset ] ; then \
		dh_install -plm-sensors usr/sbin/isaset ; \
		dh_install -plm-sensors usr/share/man/man8/isaset.8 ; \
	fi

override_dh_installinit-arch:
	dh_installinit -plm-sensors --no-start

override_dh_installsystemd-arch:
	dh_installsystemd -plm-sensors --no-start

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g \
  https://github.com/lm-sensors/lm-sensors/tags .*/V?(\d\S+)\.tar\.gz

## lm-sensors 3.6.2

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,13 @@
 # library files (both static and shared) will be installed.
 LIBDIR := $(PREFIX)/lib
 
-EXLDFLAGS := -Wl,-rpath,$(LIBDIR)
+# You should not need to change this. It is the directory into which the
+# data files will be installed.
+DATADIR := $(PREFIX)/share
+
+# You should not need to change this. It is the directory into which the
+# ZSH completion files will be installed.
+ZSHCOMPDIR := $(DATADIR)/zsh/site-functions
 
 # You should not need to change this. It is the directory into which the
 # executable program files will be installed. BINDIR for programs that are
@@ -68,7 +74,7 @@
 SBINDIR := $(PREFIX)/sbin
 
 # You should not need to change this. It is the basic directory into which
-# include files will be installed. The actual directory will be 
+# include files will be installed. The actual directory will be
 # $(INCLUDEDIR)/sensors for library include files.
 INCLUDEDIR := $(PREFIX)/include
 LIBINCLUDEDIR := $(INCLUDEDIR)/sensors
@@ -84,6 +90,9 @@
 
 # Build and install static library
 BUILD_STATIC_LIB := 1
+
+# Build and install shared library
+BUILD_SHARED_LIB := 1
 
 # Set these to add preprocessor or compiler flags, or use
 # environment variables
@@ -103,9 +112,9 @@
 
 # Within each Module.mk, rules and dependencies can be added to targets
 # all, install and clean. Use double colons instead of single ones
-# to do this. 
-
-# The subdirectories we need to build things in 
+# to do this.
+
+# The subdirectories we need to build things in
 SRCDIRS := lib prog/detect prog/pwm \
            prog/sensors ${PROG_EXTRA:%=prog/%} etc
 # Only build isadump and isaset on x86 machines.
@@ -160,13 +169,17 @@
 LIBCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
 LIBCFLAGS := -fpic -D_REENTRANT $(ALL_CFLAGS)
 
+ALL_LDFLAGS := $(LDFLAGS)
+
+EXLDFLAGS := -Wl,-rpath,$(LIBDIR) $(ALL_LDFLAGS)
+
 .PHONY: all user clean install user_install uninstall user_uninstall
 
 # Make all the default rule
 all::
 
 # Include all makefiles for sub-modules
-INCLUDEFILES := 
+INCLUDEFILES :=
 include $(patsubst %,%/Module.mk,$(SRCDIRS))
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),uninstall)
@@ -181,6 +194,11 @@
 # Man pages
 MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
             $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8
+
+check:: test
+
+test:: lib/test/test-scanner
+	cd lib/test ; ./test-scanner.pl
 
 user ::
 user_install::
@@ -267,21 +285,21 @@
 
 # Flex and Bison
 %.c: %.y
-	@if ! which $(BISON) 2> /dev/null ; then \
+	@if ! command -v $(BISON) 2> /dev/null ; then \
 		echo "Please install $(BISON), then run \"make clean\" and try again" ; \
 		false ; \
 	fi
 	$(BISON) -p sensors_yy -d $< -o $@
 
 ifeq ($(DEBUG),1)
-FLEX_FLAGS := -Psensors_yy -t -b -Cfe -8
+FLEX_FLAGS := -Psensors_yy -b -Cfe -8
 else
-FLEX_FLAGS := -Psensors_yy -t -Cfe -8
+FLEX_FLAGS := -Psensors_yy -Cfe -8
 endif
 
 %.c: %.l
-	@if ! which $(FLEX) 2> /dev/null ; then \
+	@if ! command -v $(FLEX) 2> /dev/null ; then \
 		echo "Please install $(FLEX), then run \"make clean\" and try again" ; \
 		false ; \
 	fi
-	$(FLEX) $(FLEX_FLAGS) $< > $@
+	$(FLEX) $(FLEX_FLAGS) -o $@ $<

=== debian/changelog ===
lm-sensors (1:3.6.2-2) unstable; urgency=medium

  * Emit missing sensor warning only if SENSORS_SYSFS_ROOT is defined

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Apr 2025 14:35:33 +0200

lm-sensors (1:3.6.2-1) unstable; urgency=medium

  * New upstream release:
    - The original lm-sensors repository has no commits for four years. Switch
       to the actively maintained fork by a SUSE kernel developer, which is
       already used by Gentoo and openSUSE.
    - Update upstream URL to point to the new upstream
    - Drop 16-egrep-pwmconfig.patch (upstreamed)
    - Rebase 22-sensors.1-editorial-fixes.patch
    - Rebase 24-sensors-detect.8-editorial-fixes.patch
    - Build-depends on libtest-cmd-perl to be able to run the testsuite
    - Install new Zsh completion files
    - Update symbols file
  * Replace 02-sensors-conf-convert-improvements.patch by upstream version
  * Replace 08-sensors-detect-lm85.patch and 09-sensors-detect-
    sch5524.patch by upstream version
  * Replace 11-fancontrol-check.patch by upstream version
  * Replace 14-2-digits-kernel.patch by upstream version
  * Drop fancontrol.postinst, obsolete since squeeze
  * Drop libsensors5.preinst, obsolete since squeeze
  * Drop lm-sensors.maintscript, obsolete since squeeze
  * Drop Breaks/Replaces against libsensors4, obsolete since buster
  * Drop Breaks/Replaces against libsensors4-dev, obsolete since bullseye
  * Drop debian/libsensors5.shlibs, as dpkg-shlibdeps now defaults to the
    latest upstream version
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier
  * Call make clean directly instead of relying on dh_auto_clean
  * Rewrite debian/copyright in Machine-readable format
  * fancontrol.service: set Restart=on-failure (Closes: #664141)
  * Add a documentation entry to lm-sensors.service
  * Add hardening options to fancontrol.service and lm-sensors.service
    (Closes: #944808)
  * Remove mirrored fields reported by Lintian in debian/control
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Apr 2025 22:35:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: lm-sensors
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13), bison, flex, pkgconf, systemd-dev
+Build-Depends: debhelper-compat (= 13),
+               bison,
+               flex,
+               libtest-cmd-perl <!nocheck>,
+               pkgconf,
+               systemd-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Homepage: https://hwmon.wiki.kernel.org/lm_sensors
+Homepage: https://github.com/hramrach/lm-sensors
+Vcs-Git: https://salsa.debian.org/aurel32/lm-sensors.git
+Vcs-Browser: https://salsa.debian.org/aurel32/lm-sensors
 
 Package: lm-sensors
 Architecture: linux-any
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
-Suggests: fancontrol, read-edid, i2c-tools
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Suggests: fancontrol, i2c-tools, read-edid
 Description: utilities to read temperature/voltage/fan sensors
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
  to access information from temperature, voltage, and fan speed sensors. It
@@ -25,9 +31,6 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Priority: optional
-Breaks: libsensors4
-Replaces: libsensors4
 Suggests: lm-sensors
 Description: lm-sensors configuration files
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -43,8 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsensors-config, ${shlibs:Depends}, ${misc:Depends}
-Priority: optional
+Depends: libsensors-config, ${misc:Depends}, ${shlibs:Depends}
 Suggests: lm-sensors
 Section: libs
 Description: library to read temperature/voltage/fan sensors
@@ -62,8 +64,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libsensors5 (= ${binary:Version}), ${misc:Depends}
-Breaks: libsensors4-dev (<< 1:3.6.0-4)
-Replaces: libsensors4-dev (<< 1:3.6.0-4)
 Section: libdevel
 Description: lm-sensors development kit
  Lm-sensors is a hardware health monitoring package for Linux. It allows you
@@ -78,7 +78,6 @@
 
 Package: fancontrol
 Architecture: all
-Section: utils
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: utility to control the fan speed

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export deb_systemdsleepdir = $(shell pkg-config --variable=systemdsleepdir systemd)
 
 %:
@@ -17,7 +18,7 @@
 		EXLDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_clean:
-	dh_auto_clean -- $(MAKEARGS_ARCH)
+	make clean $(MAKEARGS_ARCH)
 
 # Ignore missing files on non-Linux. This package is Linux specific, and
 # is just minimally built on other OS to simplify porters work.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g \
  https://github.com/hramrach/lm-sensors/tags .*/V?(\d\S+)\.tar\.gz
